## Intel Tools service

Intel Tools service — Support for the Intel Tools service.

## Functions

MbimMessage * | mbim_message_intel_tools_trace_config_query_new ()
MbimMessage * | mbim_message_intel_tools_trace_config_set_new ()
gboolean | mbim_message_intel_tools_trace_config_response_parse ()

## Description

This section implements support for requests, responses and notifications in the Intel Tools service.

## Functions

### mbim_message_intel_tools_trace_config_query_new ()

    MbimMessage *
    mbim_message_intel_tools_trace_config_query_new
                                   (MbimTraceCommand trace_cmd,
                                    GError **error);

Create a new request for the 'Trace Config' query command in the 'Intel Tools' service.

#### Parameters

trace_cmd | the 'TraceCmd' field, given as a MbimTraceCommand. | [in]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.30

### mbim_message_intel_tools_trace_config_set_new ()

    MbimMessage *
    mbim_message_intel_tools_trace_config_set_new
                                   (MbimTraceCommand trace_cmd,
                                    guint32 trace_value,
                                    GError **error);

Create a new request for the 'Trace Config' set command in the 'Intel Tools' service.

#### Parameters

trace_cmd | the 'TraceCmd' field, given as a MbimTraceCommand. | [in]
trace_value | the 'TraceValue' field, given as a guint32. | [in]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.30

### mbim_message_intel_tools_trace_config_response_parse ()

    gboolean
    mbim_message_intel_tools_trace_config_response_parse
                                   (const MbimMessage *message,
                                    MbimTraceCommand *out_trace_cmd,
                                    guint32 *out_result,
                                    GError **error);

Parses and returns parameters of the 'Trace Config' response command in the 'Intel Tools' service.

#### Parameters

message | the MbimMessage. |
out_trace_cmd | return location for a MbimTraceCommand, or `NULL` if the 'TraceCmd' field is not needed. | [out][optional][transfer none]
out_result | return location for a guint32, or `NULL` if the 'Result' field is not needed. | [out][optional][transfer none]
error | return location for error or `NULL`. |

#### Returns

`TRUE` if the message was correctly parsed, `FALSE` if `error` is set.

Since: 1.30